dagaal5(1)

NAME
dagaal5 - Endace AAL5 utility

SYNOPSIS
dagaal5 [options]

DESCRIPTION
dagaal5 generates ATM or AAL5 ERF records.

OPTIONS

-a NUM
    Abort every NUMth cell.

-b NUM
    Duplicate every NUMth cell.

-c NUM
    Set the number of active channels to NUM.

-C NUM[:MIN]
    Distribute traffic randomly over NUM channels from MIN (default 0). -c is silently ignored when this option is present.

-d NUM
    Drop every NUMth cell.

-D NUM
    Set the intercell delay to NUM microseconds.

-e IFACE
    Write cells for every interface (a..d or 0..3, default 0).

-f NUM
    Send a cell with a bad FCS every NUM cells.

-F  Turn off FCS calculation.

-g FILE
    Write ERFs to FILE instead of standard output.

-h

-?

--help

--usage
    Display usage (help) information.

-i NUM
    Interleave cells.

-I NUM
    Send an idle cell every NUM cells.

-j  Introduce jitter in the delay time between cells.

-l  Create SNAP/LLC frames.

-m NIBBLE
    The PTI and CLP bits for OAM cells as a single nibble (hexadecimal, octal or decimal).

-n NUM
    Total number of packets to generate.

-o text|atm|aal5
    Output type (default is text):

    text
        Print abridged cell headers.

    atm Write cell stream as ERF records to standard output.

    aal5
        Write assembled packets as ERF records to standard output.

-O NUM
    Make every NUMth cell an OAM cell (see also -m).

-p NUM
    Set the packet size to NUM bytes.

-P  Suppress sequence numbers in payload.

-r  Reuse free channels immediately.

-R NUM
    Set the ERF record length to NUM bytes (default 72).

-t NUM
    (only with -oatm) vary record timestamps in units of NUM microseconds.

-u BYTE
    Fill unused part of AAL5 PDU with the value BYTE.

-v

--verbose
    Increase output verbosity.

-W NUM
    Set the cell wirelength to NUM bytes (default 52).

-x NUM
    Set the HDIM TX threshold to NUM.

-z NUM
    Send NUM idle cells at end of transmission (requires -n).

-Z NUM
    Send NUM idle cells when idles required (default 1, see -I).

EXAMPLES
Generate ATM cells and write them to a file called atm.erf:
    dagaal5 -o atm > atm.erf

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2366 $
$Date: 2005-10-18 15:32:32 +1300 (Tue, 18 Oct 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.